Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1103499 - Performing Live Storage Migration when target domain equal to source domain will cause infinite loop of 'LiveMigrateDiskCommand'
Summary: Performing Live Storage Migration when target domain equal to source domain w...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On: 1124321
Blocks: 1105849 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-01 14:37 UTC by Raz Tamir
Modified: 2016-02-10 17:59 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1105849 (view as bug list)
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
vdsm and engine logs (deleted)
2014-06-01 14:37 UTC, Raz Tamir
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28277 master MERGED core: LSM - validate identical source and dest SDs Never
oVirt gerrit 28300 ovirt-engine-3.4 MERGED core: LSM - validate identical source and dest SDs Never
oVirt gerrit 30975 master MERGED restapi: Fix NPE when live migrating a disk Never
oVirt gerrit 31339 ovirt-engine-3.5 MERGED restapi: Fix NPE when live migrating a disk Never

Description Raz Tamir 2014-06-01 14:37:45 UTC
Created attachment 901236 [details]
vdsm and engine logs

Description of problem:
When trying to live migrate vm disk to the same domain (through REST api) the disk is already exist in, it will cause an infinite loop of the task 'LiveMigrateDiskCommand'.



Version-Release number of selected component (if applicable):
vdsm-4.14.7-1.el6ev.x86_64
rhevm-3.4.0-0.20.el6ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. start the vm
2. 
POST in:
https://ratamir-upgrade.scl.lab.tlv.redhat.com/api/vms/45f276a8-fed0-4bb9-963d-e2f9d02ea737/disks/2f859bbd-e6f4-4264-a90b-2551185aafa1/move

--> 
<action>
  <storage_domain id="4747a9e2-d7e3-441f-a4d8-d00ca8f7f34f"/>
</action>

** 4747a9e2-d7e3-441f-a4d8-d00ca8f7f34f is the source domain!

3. 

Actual results:
Infinite loop of 'LiveMigrateDiskCommand' will start

Expected results:
This action should be blocked

Additional info:

Comment 2 Allon Mureinik 2014-06-01 19:31:28 UTC
Raz, does this happen on 3.3 or 3.2 (i.e., why is it marked as a regression)?

Comment 4 Raz Tamir 2014-06-02 06:49:04 UTC
Allon, I tried to reproduce this on 3.3 with no success

Comment 6 Raz Tamir 2014-06-15 11:51:45 UTC
Verified - ovirt-engine-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch

Comment 7 Raz Tamir 2014-06-15 12:58:36 UTC
Ignore last comment

Comment 8 Raz Tamir 2014-08-24 14:24:46 UTC
Verified on - ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch

Response body (REST api):
<action>
<storage_domain id="08f84165-e7ed-484a-92ff-0c4b3f431b4a"/>
<status>
<state>failed</state>
</status>
<fault>
<reason>Operation Failed</reason>
<detail>
[Cannot move Virtual Machine Disk. The source and target storage domains are the same.]
</detail>
</fault>
</action>

engine log:
CanDoAction of action LiveMigrateVmDisks failed. Reasons:VAR__ACTION__MOVE,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_SOURCE_AND_TARGET_SAME

Comment 9 Allon Mureinik 2015-02-16 19:11:24 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 10 Allon Mureinik 2015-02-16 19:11:29 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.